.header {
    height: 15vh;
    transition: all var(--speed) ease;
    background: rgba(41,50,60,0.35);
}
.light .header {
    background: rgba(255,255,255,0.35);
}

.header-content {
    height: 100%;
    display: flex;
    align-items: center;
}
.logo {
    margin-right: auto;
    height: 70px;
    width: 200px;
    font-size: 5rem;
    font-weight: 700;
    font-family: 'Lobster Two', cursive;
    transition: transform 1s ease;
}
.light .logo {
    transform: rotateY(180deg);
}

.nav {
    display: flex;
    justify-content: center;
    align-items: center;
}
.nav li {
    margin: 0 0.5rem;
}
.nav li a {
    color: var(--green);
    transition: color var(--speed) ease-in;
}
.nav li a:hover {
    color: var(--green-dark);
}



.mode-toggler,
.nav-toggler {
    position: relative;
    width: 3rem;
    height: 3rem;
    background: transparent;
    margin: 0 0.5rem;
    border: 0;
    z-index: 9;
}

.mode-toggler::after {
    content: '';
    background: url(../icons/mode.png) no-repeat;
    background-size: 100%;
    width: inherit;
    height: inherit;
    position: absolute;
    top: 0;
    left: 0;
}



.nav-toggler {
    display: none;
}


@media screen and (max-width:768px) {
    .header {
        position: fixed;
        z-index: 999;
        width: 100%;
    }



    .nav-toggler {
        display: block;
    }

    .nav {
        z-index: 999;
        background: var(--bg-nav);
        position: fixed;
        top: 15vh;
        left: 0;
        width: 100%;
        height: 100%;
        padding-top: 1rem;
        border-radius: 0 100% 100% 0;
        flex-flow: column wrap;
        justify-content: flex-start;
        transform: translateX(-105%);
        transition: all 1s ease-in-out;
    }
    .nav li {
        width: 100%;
        height: calc(85vh / 6);
        display: grid;
        place-items: center;
        opacity: 0;
        transition: opacity 0.5s ease;
        transition-delay: opacity 0.75s;
    }
    .nav li a:hover {
        transform: scaleX(1.5);
    }

    .show-nav .nav {
        transform: translateX(0);
        border-radius: 0;
    }
    .show-nav .nav li {
        opacity: 1;
    }

    /**********************/
    .nav-toggler {
        display: grid;
        justify-items: space-between;
        gap: 0.5rem;
        transition: transform 0.5s linear;
    }
    .show-nav .nav-toggler {
        transform: rotate(45deg);
    }
    .nav-toggler .box {
        width: 1.25rem;
        height: 1.25rem;
        position: relative;
        border-radius: 0.25rem;
        box-shadow: var(--menuShadow);
    }
    .nav-toggler .box::after {
        content: '';
        width: 100%;
        height: 100%;
        margin: 0.5rem;
        background: inherit;
        position: absolute;
        top: -0.5rem;
        left: 1.5rem;
        border-radius: inherit;
        box-shadow: inherit;
    }
    .nav-toggler .box2::after {
        border-radius: 50%;
        background: var(--green-dark);
        box-shadow: none;
    }
}